Bug 128029 - irq 18: nobody cared! (screaming interrupt?)
irq 18: nobody cared! (screaming interrupt?)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-16 11:06 EDT by Kari Häkkinen
Modified: 2015-01-04 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/interrupts (645 bytes, text/plain)
2004-07-16 11:50 EDT, Kari Häkkinen
no flags Details

  None (edit)
Description Kari Häkkinen 2004-07-16 11:06:59 EDT
Description of problem:

I get the following error with my MSI 865PE Neo2-PFS
with 1 Gb of memory and Pentium 4 HT CPU.

irq 18: nobody cared! (screaming interrupt?)
irq 18: Please try booting with acpi=off and report a bug
 [<021077f9>] __report_bad_irq+0x3a/0x77
 [<02107895>] note_interrupt+0x43/0x66
 [<02107c76>] do_IRQ+0x1a5/0x22e
 [<021178b6>] smp_apic_timer_interrupt+0x122/0x127
 [<021040e5>] mwait_idle+0x33/0x42
 [<02115778>] apm_cpu_idle+0xe9/0x128
 [<0210409d>] cpu_idle+0x26/0x3b
 [<0238c78c>] start_kernel+0x1d0/0x1d5
handlers:
[<02236418>] (ide_intr+0x0/0x243)
Disabling IRQ #18

I am using kernel 2.6.7-1.492smp from 
http://people.redhat.com/arjanv/2.5/RPMS.kernel/

I am booting with acpi=off

Version-Release number of selected component (if applicable):


How reproducible:
Just boot FC2.

Steps to Reproduce:
1. Boot FC2
2. Check /var/log/messages for errors
3.
  
Actual results:


Expected results:


Additional info:

My dmesg output follows:

Linux version 2.6.7-1.492smp (bhcompile@tweety.build.redhat.com) (gcc 
version 3.4.1 20040702 (Red Hat Linux 3.4.1-2)) #1 SMP Thu Jul 15 
14:30:57 EDT 2004
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003fff0000 (usable)
 BIOS-e820: 000000003fff0000 - 000000003fff8000 (ACPI data)
 BIOS-e820: 000000003fff8000 - 0000000040000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
1023MB LOWMEM available.
ACPI: S3 and PAE do not like each other for now, S3 disabled.
found SMP MP-table at 000fc0f0
On node 0 totalpages: 262128
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 258032 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
Using APIC driver default
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: INTEL    Product ID: I865G/GE/PE  APIC at: 0xFEE00000
Processor #0 15:3 APIC version 20
I/O APIC #2 Version 32 at 0xFEC00000.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Processors: 1
Built 1 zonelists
Kernel command line: ro root=LABEL=/ rhgb quiet acpi=off
mapped 4G/4G trampoline to fffeb000.
Initializing CPU#0
CPU 0 irqstacks, hard=023df000 soft=023bf000
PID hash table entries: 4096 (order 12: 32768 bytes)
Detected 2800.998 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 131072 (order: 7, 524288 bytes)
Memory: 1033584k/1048512k available (1888k kernel code, 14140k 
reserved, 714k data, 172k init, 0k highmem)
Calibrating delay loop... 5521.40 BogoMIPS
Security Scaffold v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
There is already a security framework initialized, register_security 
failed.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: After generic identify, caps: bfebfbff 00000000 00000000 00000000
CPU: After vendor identify, caps:  bfebfbff 00000000 00000000 00000000
monitor/mwait feature present.
using mwait in idle threads.
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU: Physical Processor ID: 0
CPU: After all inits, caps:        bfebf3ff 00000000 00000000 00000080
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU0: Thermal monitoring enabled
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
CPU0: Intel(R) Pentium(R) 4 CPU 2.80GHz stepping 03
per-CPU timeslice cutoff: 2926.38 usecs.
task migration cache decay timeout: 3 msecs.
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Total of 1 processors activated (5521.40 BogoMIPS).
WARNING: 1 siblings found for CPU0, should be 2
ENABLING IO-APIC IRQs
Setting 2 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 2 ... ok.
init IO_APIC IRQs
 IO-APIC (apicid-pin) 2-0, 2-5, 2-10, 2-11, 2-21, 2-22 not connected.
..TIMER: vector=0x31 pin1=2 pin2=0
number of MP IRQ sources: 24.
number of IO-APIC #2 registers: 24.
testing the IO APIC.......................
IO APIC #2......
.... register #00: 02000000
.......    : physical APIC id: 02
.......    : Delivery Type: 0
.......    : LTS          : 0
.... register #01: 00178020
.......     : max redirection entries: 0017
.......     : PRQ implemented: 1
.......     : IO APIC version: 0020
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
 00 000 00  1    0    0   0   0    0    0    00
 01 001 01  0    0    0   0   0    1    1    39
 02 001 01  0    0    0   0   0    1    1    31
 03 001 01  0    0    0   0   0    1    1    41
 04 001 01  0    0    0   0   0    1    1    49
 05 000 00  1    0    0   0   0    0    0    00
 06 001 01  0    0    0   0   0    1    1    51
 07 001 01  0    0    0   0   0    1    1    59
 08 001 01  0    0    0   0   0    1    1    61
 09 001 01  0    0    0   0   0    1    1    69
 0a 000 00  1    0    0   0   0    0    0    00
 0b 000 00  1    0    0   0   0    0    0    00
 0c 001 01  0    0    0   0   0    1    1    71
 0d 001 01  0    0    0   0   0    1    1    79
 0e 001 01  0    0    0   0   0    1    1    81
 0f 001 01  0    0    0   0   0    1    1    89
 10 001 01  1    1    0   1   0    1    1    91
 11 001 01  1    1    0   1   0    1    1    99
 12 001 01  1    1    0   1   0    1    1    A1
 13 001 01  1    1    0   1   0    1    1    A9
 14 001 01  1    1    0   1   0    1    1    B1
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 001 01  1    1    0   1   0    1    1    B9
IRQ to pin mappings:
IRQ0 -> 0:2
IRQ1 -> 0:1
IRQ3 -> 0:3
IRQ4 -> 0:4
IRQ6 -> 0:6
IRQ7 -> 0:7
IRQ8 -> 0:8
IRQ9 -> 0:9
IRQ12 -> 0:12
IRQ13 -> 0:13
IRQ14 -> 0:14
IRQ15 -> 0:15
IRQ16 -> 0:16
IRQ17 -> 0:17
IRQ18 -> 0:18
IRQ19 -> 0:19
IRQ20 -> 0:20
IRQ23 -> 0:23
.................................... done.
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 2799.0600 MHz.
..... host bus clock speed is 199.0971 MHz.
Brought up 1 CPUs
zapping low mappings.
checking if image is initramfs...it isn't (no cpio magic); looks like 
an initrd
Freeing initrd memory: 264k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfdb81, last bus=2
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20040326
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.2
PCI: Transparent bridge - 0000:00:1e.0
PCI: Using IRQ router PIIX/ICH [8086/24d0] at 0000:00:1f.0
PCI->APIC IRQ transform: (B0,I29,P0) -> 16
PCI->APIC IRQ transform: (B0,I29,P1) -> 19
PCI->APIC IRQ transform: (B0,I29,P2) -> 18
PCI->APIC IRQ transform: (B0,I29,P0) -> 16
PCI->APIC IRQ transform: (B0,I29,P3) -> 23
PCI->APIC IRQ transform: (B0,I31,P0) -> 18
PCI->APIC IRQ transform: (B0,I31,P0) -> 18
PCI->APIC IRQ transform: (B0,I31,P1) -> 17
PCI->APIC IRQ transform: (B0,I31,P1) -> 17
PCI->APIC IRQ transform: (B1,I0,P0) -> 16
PCI->APIC IRQ transform: (B2,I6,P0) -> 20
TC classifier action (bugs to netdev@oss.sgi.com cc hadi@cyberus.ca)
vesafb: probe of vesafb0 failed with error -6
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
audit: initializing netlink socket (disabled)
audit(1089992962.178:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 919986C74EDBB64F
- User ID: Red Hat, Inc. (Kernel Module GPG key)
ksign: invalid packet (ctb=00)
Unable to load default keyring: error=74
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected an Intel 865 Chipset.
agpgart: Maximum main memory to use for agp memory: 941M
agpgart: AGP aperture is 64M @ 0xf8000000
Serial: 8250/16550 driver $Revision: 1.90 $ 8 ports, IRQ sharing 
enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx
ICH5: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ICH5: chipset revision 2
ICH5: 100% native mode on irq 18
    ide0: BM-DMA at 0xdc00-0xdc07, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xdc08-0xdc0f, BIOS settings: hdc:pio, hdd:pio
hda: HL-DT-ST DVDRAM GSA-4082B, ATAPI CD/DVD-ROM drive
hdb: GCR-8523B, ATAPI CD/DVD-ROM drive
Using cfq io scheduler
ide0 at 0xec00-0xec07,0xe802 on irq 18
hda: ATAPI 32X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
hdb: ATAPI 52X CD-ROM drive, 128kB Cache, DMA
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
serio: i8042 AUX port at 0x60,0x64 irq 12
input: ImPS/2 Logitech Wheel Mouse on isa0060/serio1
serio: i8042 KBD port at 0x60,0x64 irq 1
input: AT Translated Set 2 keyboard on isa0060/serio0
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 4096 buckets, 64Kbytes
TCP: Hash tables configured (established 131072 bind 43690)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
CPU0:  online
 domain 0: span 00000001
  groups: 00000001
  domain 1: span 00000001
   groups: 00000001
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
SCSI subsystem initialized
libata version 1.02 loaded.
ata_piix version 1.02
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0x1F0 ctl 0x3F6 bmdma 0xFC00 irq 14
irq 18: nobody cared! (screaming interrupt?)
irq 18: Please try booting with acpi=off and report a bug
 [<021077f9>] __report_bad_irq+0x3a/0x77
 [<02107895>] note_interrupt+0x43/0x66
 [<02107c76>] do_IRQ+0x1a5/0x22e
 [<021178b6>] smp_apic_timer_interrupt+0x122/0x127
 [<021040e5>] mwait_idle+0x33/0x42
 [<02115778>] apm_cpu_idle+0xe9/0x128
 [<0210409d>] cpu_idle+0x26/0x3b
 [<0238c78c>] start_kernel+0x1d0/0x1d5
handlers:
[<02236418>] (ide_intr+0x0/0x243)
Disabling IRQ #18
ata1: dev 0 cfg 49:2f00 82:7c6b 83:7b09 84:4003 85:7c68 86:3a01 
87:4003 88:207f
ata1: dev 0 ATA, max UDMA/133, 240121728 sectors:
ata1: dev 0 configured for UDMA/133
scsi0 : ata_piix
  Vendor: ATA       Model: Maxtor 6Y120M0    Rev: YAR5
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 240121728 512-byte hdwr sectors (122942 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3 sda4 < sda5 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
ata2: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xFC08 irq 15
ATA: abnormal status 0x7F on port 0x177
scsi1 : ata_piix
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 172k freed
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
NET: Registered protocol family 10
Disabled Privacy Extensions on device 0233d600(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
[drm] Initialized mga 3.1.0 20021029 on minor 0: 
agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
agpgart: Device is in legacy mode, falling back to 2.x
agpgart: Putting AGP V2 device at 0000:00:00.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 1x mode
ehci_hcd 0000:00:1d.7: EHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: irq 23, pci mem 42871800
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2004-May-10
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
USB Universal Host Controller Interface driver v2.2
uhci_hcd 0000:00:1d.0: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: irq 16, io base 0000cc00
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
uhci_hcd 0000:00:1d.1: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: irq 19, io base 0000d000
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
uhci_hcd 0000:00:1d.2: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: irq 18, io base 0000d400
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
uhci_hcd 0000:00:1d.3: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: irq 16, io base 0000d800
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
EXT3 FS on sda3, internal journal
device-mapper: 4.1.0-ioctl (2003-12-10) initialised: dm@uk.sistina.com
irq 18: nobody cared! (screaming interrupt?)
irq 18: Please try booting with acpi=off and report a bug
 [<021077f9>] __report_bad_irq+0x3a/0x77
 [<02107895>] note_interrupt+0x43/0x66
 [<02107c76>] do_IRQ+0x1a5/0x22e
 [<021178b6>] smp_apic_timer_interrupt+0x122/0x127
 [<021040e5>] mwait_idle+0x33/0x42
 [<02115778>] apm_cpu_idle+0xe9/0x128
 [<0210409d>] cpu_idle+0x26/0x3b
 [<0238c78c>] start_kernel+0x1d0/0x1d5
handlers:
[<02236418>] (ide_intr+0x0/0x243)
[<02258678>] (usb_hcd_irq+0x0/0x4b)
Disabling IRQ #18
irq 18: nobody cared! (screaming interrupt?)
irq 18: Please try booting with acpi=off and report a bug
 [<021077f9>] __report_bad_irq+0x3a/0x77
 [<02107895>] note_interrupt+0x43/0x66
 [<02107c76>] do_IRQ+0x1a5/0x22e
 [<021178b6>] smp_apic_timer_interrupt+0x122/0x127
 [<021040e5>] mwait_idle+0x33/0x42
 [<02115778>] apm_cpu_idle+0xe9/0x128
 [<0210409d>] cpu_idle+0x26/0x3b
 [<0238c78c>] start_kernel+0x1d0/0x1d5
handlers:
[<02236418>] (ide_intr+0x0/0x243)
[<02258678>] (usb_hcd_irq+0x0/0x4b)
Disabling IRQ #18
cdrom: open failed.
cdrom: open failed.
irq 18: nobody cared! (screaming interrupt?)
irq 18: Please try booting with acpi=off and report a bug
 [<021077f9>] __report_bad_irq+0x3a/0x77
 [<02107895>] note_interrupt+0x43/0x66
 [<02107c76>] do_IRQ+0x1a5/0x22e
 [<021178b6>] smp_apic_timer_interrupt+0x122/0x127
handlers:
[<02236418>] (ide_intr+0x0/0x243)
[<02258678>] (usb_hcd_irq+0x0/0x4b)
Disabling IRQ #18
Adding 1052216k swap on /dev/sda5.  Priority:-1 extents:1
Comment 1 Kari Häkkinen 2004-07-16 11:50:33 EDT
Created attachment 101970 [details]
/proc/interrupts

Forgot to include the output of /proc/interrupts, so here it is
Comment 2 Kaj J. Niemi 2004-07-16 18:46:06 EDT
Looks similar to bug #127917.
Comment 3 Kari Häkkinen 2004-07-17 03:50:55 EDT
Booting with nousb does not make any difference
Comment 4 Kari Häkkinen 2004-08-02 14:16:37 EDT
The problem seems to have disappeared after I upgraded the BIOS from
v3.6 to v3.8. I may have changed some BIOS configuration during the 
BIOS update, but I doubt that.
Comment 5 Dave Jones 2005-04-16 00:37:11 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.